DH_INSTALLDEBCONF(1)

NOM
dh_installdebconf - Installer les fichiers utilisés par debconf dans les répertoires de construction du paquet

SYNOPSIS
dh_installdebconf [options_de_debhelper] [-n] [-- paramètres]

DESCRIPTION
dh_installdebconf est le programme de la suite debhelper chargé d'installer les fichiers utilisés par debconf dans les répertoires de construction du paquet.

Il génère également automatiquement les lignes de code du script de maintenance postrm nécessaires à l'interfaçage avec debconf. Les commandes sont ajoutées aux scripts de maintenance par dh_installdeb. Consulter dh_installdeb(1) pour obtenir une explication sur le mécanisme d'insertion de lignes de code.

Nota : Comme un paquet qui utilise debconf a probablement besoin d'en dépendre, ce programme ajoute cette dépendance à ${misc:Depends}.

Nota : Étant donné que le script de configuration est invoqué par dpkg, postinst doit comporter le module de configuration (confmodule) de debconf. dh_installdebconf n'implémente pas automatiquement ce traitement dans le script de maintenance postinst car ce serait trop difficile à faire correctement.

FICHIERS

debian/paquet.config
    C'est le script config de debconf. Il est installé dans le répertoire DEBIAN du répertoire de construction du paquet.

    Dans le script, l'item #DEBHELPER# est remplacé par les lignes de code générées par les autres commandes debhelper.

debian/paquet.templates
    C'est le fichier templates de debconf. Il est installé dans le répertoire DEBIAN du répertoire de construction du paquet.

debian/po/
    Si ce répertoire existe, ce programme utilisera po2debconf(1) pour produire un fichier multilingues de modèles.

    Pour que cela fonctionne, le paquet doit dépendre, pour sa construction (build-depend), de po-debconf.

OPTIONS

-n, --no-scripts
    Empêche la modification du script de maintenance postrm.

-- paramètres
    Passe les paramètres à po2debconf.

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».